Summary:	diff frontend that operates on words
Summary(pl.UTF-8):	frontend do diffa operujący na słowach
Name:		dwdiff
Version:	2.1.4
Release:	3
License:	GPL v3
Group:		Applications/Text
Source0:	http://os.ghalkes.nl/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	4e7b332b1e9e1a9b6f119f39532ed24f
URL:		http://os.ghalkes.nl/dwdiff.html
BuildRequires:	gettext-tools
BuildRequires:	libicu-devel
BuildRequires:	pkgconfig
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dwdiff is a front-end for the diff program that operates at the word
level instead of the line level. It is different from wdiff in that it
allows the user to specify what should be considered whitespace, and
in that it takes an optional list of characters that should be
considered delimiters. Delimiters are single characters that are
treated as if they are words, even when there is no whitespace
separating them from preceding words or delimiters. dwdiff is mostly
commandline compatible with wdiff. Only the --autopager, --terminal
and --avoid-wraps options are not supported.

The default output from dwdiff is the new text, with the deleted and
inserted parts annotated with markers. Command line options are
available to change both what is printed, and the markers.

%description -l pl.UTF-8
dwdiff to frontend do programu diff operujący na słowach zamiast na
liniach. W odróżnieniu od wdiff pozwala użytkownikowi na określenie co
traktować jako biały znak oraz ustalenie listy delimetrów. Delimeter
to pojedynczy znak traktowany jak słowo nawet jeśli nie ma białych
znaków oddzielających go od innych słów czy delimetrów. dwdiff jest w
dużej mierze kompatybilny z wdiff, jedynie opcje --autopager,
 --terminal i --avoid-wraps nie są wspierane.

Domyślnym formatem wyjściowym dwdiff jest nowy tekst z częściami
usuniętymi i dodanymi oznaczonymi markerami. Z poziomu linii poleceń
możliwe jest określenie co i za pomocą jakich znaczników ma być
wyświetlane.

%prep
%setup -q

%build
# not a typical configure
./configure \
	--prefix="$RPM_BUILD_ROOT%{_prefix}" \
	--mandir="$RPM_BUILD_ROOT%{_mandir}" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fcommon" \
	LDFLAGS="%{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}}

%{__make} install

%find_lang %{name}

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/dw*.1*
%lang(nl) %{_mandir}/nl/man1/dw*.1*
%changelog
* Fri Jun 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dwdiff.git;a=log;h=master

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 222af14
- icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 45dc98b
- icu rebuild

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> d764ca5
- up to 2.1.4

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 112d746
- icu 67 rebuild
- release 4 (by relup.sh)

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> e1d5996
- fix build with gcc 10

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 81fc2c2
- rebuild with icu 65.1
- release 3 (by relup.sh)

* Sat Apr 13 2019 Adam Gołębiowski <adamg@pld-linux.org> b9fd4a5
- release 2, rebuild against icu 64

* Thu Dec 13 2018 Adam Gołębiowski <adamg@pld-linux.org> 8051805
- updated to 2.1.2

* Fri Oct 12 2018 Adam Gołębiowski <adamg@pld-linux.org> d9e3bd9
- updated to 2.0.9

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> 903c4a0
- release 10 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> c0189ef
- rebuild with icu 58.2
- release 9 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 7d2d590
- icu-57.1 rebuild
- release 8 (by relup.sh)

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> f7594cb
- release 7 (by relup.sh)

* Mon Jun 08 2015 Jan Rękorajski <baggins@pld-linux.org> 762d67e
- release 6 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3099f70
- updated gettext BR

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ae2954
- release 5 (by relup.sh)

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cd66f3e
- rel 4; build fixed

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d3fa2b4
- release 3 (by relup.sh)

* Fri Sep 21 2012 Paweł Sikora <pawel.sikora@agmk.net> f6ec70f
- package dwdiff and dwfilter manpages.

* Fri Sep 21 2012 Paweł Sikora <pawel.sikora@agmk.net> 7e866fb
- updated to 2.0.4.

